## ros-indigo-web-video-server 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(web_video_server)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp roslib cv_bridge image_transport async_web_server_cpp)
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

find_package(PkgConfig REQUIRED)
pkg_check_modules(avcodec libavcodec REQUIRED)
pkg_check_modules(avformat libavformat REQUIRED)
pkg_check_modules(avutil libavutil REQUIRED)
pkg_check_modules(swscale libswscale REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${avcodec_INCLUDE_DIRS}
  ${avformat_INCLUDE_DIRS}
  ${avutil_INCLUDE_DIRS}
  ${swscale_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(${PROJECT_NAME}
  src/web_video_server.cpp
  src/image_streamer.cpp
  src/libav_streamer.cpp
  src/vp8_streamer.cpp
  src/multipart_stream.cpp
  src/ros_compressed_streamer.cpp
  src/jpeg_streamers.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBS}
  ${avcodec_LIBRARIES}
  ${avformat_LIBRARIES}
  ${avutil_LIBRARIES}
  ${swscale_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

=== debian/changelog ===
ros-indigo-web-video-server (0.0.6-0trusty) trusty; urgency=high

  * Fixed topic list to display all image topics, fixing Issue #18 <https://github.com/RobotWebTools/web_video_server/issues/18>.
  * Contributors: Eric

 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Jan 2017 23:00:00 -0000

ros-indigo-web-video-server (0.0.5-0trusty) trusty; urgency=high

  * Merge pull request #23 <https://github.com/RobotWebTools/web_video_server/issues/23> from iki-wgt/develop
    More information when server creation is failed
  * Removed empty line
  * More detailed exception message
    Programm behavior is not changed since the exception is rethrown.
  * Contributors: BennyRe, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 12 Oct 2016 22:00:00 -0000

ros-indigo-web-video-server (0.0.4-0trusty) trusty; urgency=high

  * Merge pull request #16 from mitchellwills/compressed
    Adds support for streaming ROS compressed image topics without the need to reencode them
  * Switch to checkout async_web_server_cpp from source
  * Upgrade for change in signature of async_web_server_cpp request handler
  * Added ros compressed video streamer type
    This directly passes the ros compressed frame data to the http socket without reencoding it
  * Switched from passing image transport to passing node handle to streamer constructors
  * Added default transport parameter for regular image streamers
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 17 Aug 2015 22:00:00 -0000

ros-indigo-web-video-server (0.0.3-0trusty) trusty; urgency=high

  * added verbose flag
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 06 May 2015 22:00:00 -0000

ros-indigo-web-video-server (0.0.2-0trusty) trusty; urgency=high

  * Merge pull request #10 from mitchellwills/develop
    Added option to specify server address
  * Added option to specify server address
  * Merge pull request #3 from mitchellwills/develop
    Remove old http_server implementation and replace it with async_web_server_cpp package
  * Moved from using built in http server to new async_web_server_cpp package
  * Did some cleanup of streamers
  * Update package.xml
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Feb 2015 23:00:00 -0000

ros-indigo-web-video-server (0.0.1-0trusty) trusty; urgency=high

  * missed travis file
  * cleanup and travis build
  * ROS auto-format
  * Merge pull request #1 from mitchellwills/develop
    Initial implementation of a http web server that serves ROS image topics as multiple web compatible formats
  * Made some changes suggested by catkin_lint and did some package cleanup
  * Added support for libavstreamer on Ubuntu 13.10 version of libav
  * Added support for specifying vp8 quality parameter
  * Implemented lazy initialization for libav buffers so that output size can be infered from the first image
  * Updated README
  * Added vp8 support
  * Broke image encodings out into different files
  * Made write operations async
    Send timestamps for mjpeg stream
  * Initial commit
  * Update README.md
  * Update README.md
  * Update README.md
  * Initial commit
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Oct 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-web-video-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-indigo-async-web-server-cpp, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-roslib
Homepage: http://ros.org/wiki/web_video_server
Standards-Version: 3.9.2

Package: ros-indigo-web-video-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-indigo-async-web-server-cpp, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-roslib
Description: HTTP Streaming of ROS Image Topics in Multiple Formats

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-web-video-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
